Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.agent
Class KeyStore

    java.lang.Object
      com.sshtools.j2ssh.agent.KeyStore

public class KeyStore
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`KeyStore()` Creates a new KeyStore object.

Method Summary
`boolean` | `addKey(SshPrivateKey prvkey, SshPublicKey pubkey, java.lang.String description, KeyConstraints cs)` DOCUMENT ME!
`void` | `addKeyStoreListener(KeyStoreListener listener)` DOCUMENT ME!
`void` | `deleteAllKeys()` DOCUMENT ME!
`boolean` | `deleteKey(SshPublicKey pubkey, java.lang.String description)` DOCUMENT ME!
`SshPublicKey` | `elementAt(int i)` DOCUMENT ME!
`java.lang.String` | `getDescription(SshPublicKey key)` DOCUMENT ME!
`KeyConstraints` | `getKeyConstraints(SshPublicKey key)` DOCUMENT ME!
`java.util.Map` | `getPublicKeys()` DOCUMENT ME!
`int` | `indexOf(SshPublicKey key)` DOCUMENT ME!
`boolean` | `lock(java.lang.String password)` DOCUMENT ME!
`byte[]` | `performHashAndSign(SshPublicKey pubkey, java.util.List forwardingNodes, byte[] data)` DOCUMENT ME!
`void` | `removeKeyStoreListener(KeyStoreListener listener)` DOCUMENT ME!
`int` | `size()` DOCUMENT ME!
`boolean` | `unlock(java.lang.String password)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyStore

    public KeyStore()

  Creates a new KeyStore object.

Method Detail

### getPublicKeys

    public java.util.Map getPublicKeys()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### indexOf

    public int indexOf(SshPublicKey key)

  DOCUMENT ME!

  Parameters:
    `key` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### elementAt

    public SshPublicKey elementAt(int i)

  DOCUMENT ME!

  Parameters:
    `i` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getDescription

    public java.lang.String getDescription(SshPublicKey key)

  DOCUMENT ME!

  Parameters:
    `key` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getKeyConstraints

    public KeyConstraints getKeyConstraints(SshPublicKey key)

  DOCUMENT ME!

  Parameters:
    `key` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### size

    public int size()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### addKeyStoreListener

    public void addKeyStoreListener(KeyStoreListener listener)

  DOCUMENT ME!

  Parameters:
    `listener` - DOCUMENT ME!

### removeKeyStoreListener

    public void removeKeyStoreListener(KeyStoreListener listener)

  DOCUMENT ME!

  Parameters:
    `listener` - DOCUMENT ME!

### addKey

    public boolean addKey(SshPrivateKey prvkey,
                          SshPublicKey pubkey,
                          java.lang.String description,
                          KeyConstraints cs)
                   throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `prvkey` - DOCUMENT ME!
    `pubkey` - DOCUMENT ME!
    `description` - DOCUMENT ME!
    `cs` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### deleteAllKeys

    public void deleteAllKeys()

  DOCUMENT ME!

### performHashAndSign

    public byte[] performHashAndSign(SshPublicKey pubkey,
                                     java.util.List forwardingNodes,
                                     byte[] data)
                              throws KeyTimeoutException,
                                     InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `pubkey` - DOCUMENT ME!
    `forwardingNodes` - DOCUMENT ME!
    `data` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `KeyTimeoutException` - DOCUMENT ME!
    `InvalidSshKeyException` - DOCUMENT ME!

### deleteKey

    public boolean deleteKey(SshPublicKey pubkey,
                             java.lang.String description)
                      throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `pubkey` - DOCUMENT ME!
    `description` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### lock

    public boolean lock(java.lang.String password)
                 throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `password` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### unlock

    public boolean unlock(java.lang.String password)
                   throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `password` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD